<!-- Realisatsiooni aluseks on võetud:
PHP Object Oriented CRUD Example with Bootstrap
Kasutatud 6.04.2016
https://www.codeofaninja.com/2014/06/php-object-oriented-crud-example-oop.html
-->

<?php
/*
======================
Administraatori paneel
Kategooria uuendamine
======================
*/
include "config.php";
include ADMIN_ROOT . "header.php";

// Pärime GET-ga kategooria ID
$id = isset($_GET['id']) ? $_GET['id'] : die('ERROR: Selline ID puudub.');

include_once ROOT . 'db/dbconfig.php';
include_once ADMIN_ROOT . 'objects/kategooria.class.php';

$database = new Database();
$db = $database->dbConnection();

$category = new Kategooria($db);

$category->id = $id;
// Loeme kategooria nime
$category->readName();

// POST andmete töötlemine
if($_POST){
   $category->nimi=$_POST['nimi'];

   // Uuendame kategooria
   if($category->update()){
    echo "<div class=\"alert alert-success alert-dismissable\">";
    echo "<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>";
    echo "Kategooria uuendamine õnnestus.";
    echo "</div>";
}
else{
    echo "<div class=\"alert alert-danger alert-dismissable\">";
    echo "<button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>";
    echo "Kategooria uuendamine ebaõnnestus.";
    echo "</div>";
}
}
?>

<h2 class='decorated'><span>Kategooria muutmine</span></h2>
<br/><br/>
<form action='update_kategooria.php?id=<?php echo $id; ?>' method='post'>

    <table class='table table-hover table-responsive table-bordered'>

        <tr>
            <td>Nimi</td>
            <td><input type='text' name='nimi' value='<?php echo $category->nimi; ?>' class='form-control' /></td>
        </tr>
        <tr>
            <td></td>
            <td>
                <button type="submit" class="btn btn-primary">Salvesta muudatused</button>
                <a href='kategooriad.php' class='btn btn-default'>Tagasi nimekirja</a>
            </td>
        </tr>

    </table>
</form>

<?php
include ADMIN_ROOT . "footer.php";
?>